//---------------------------------------------------------------------------
//  Test poprawności algorytmu fotografii relatywistycznej
#include <vcl\vcl.h>
#pragma hdrstop

#include "fkrzyz.h"
#include "relatyw3d.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner): TForm(Owner)
{
 v = 0;                             //prędkość ruchu
}
//---------------------------------------------------------------------------
void __fastcall TForm1::PaintBox1Paint(TObject *Sender)
{
 TPunkt obserwator( 0., 10, 1.1);   //pozycja aparatu (z boku, lekko z góry). 
 TRelatyw3d rel( obserwator,
        0, 0, PaintBox1 -> Width, PaintBox1 -> Height,  //okno ekranowe
        v,                          //prędkość ruchu
        PaintBox1 -> Canvas);       //aparat graficzny

 int il_podzial = 20;               //dokładność "wyginania" linii
 TPunkt p1( 1, 0, 0), p2( -1, 0, 0),//punkty, na których rozpięto osie XYZ
        p3( 0, 1, 0), p4( 0, -1, 0),
        p5( 0, 0, 1),  p6( 0, 0, -1);

 PaintBox1 -> Canvas -> Pen -> Width = 4;

 PaintBox1 -> Canvas -> Pen -> Color = clRed;   //oś OX
 rel.linia_relatyw( p1, p2, il_podzial);

 PaintBox1 -> Canvas -> Pen -> Color = clGreen; //oś OY
 rel.linia_relatyw( p3, p4, il_podzial);

 PaintBox1 -> Canvas -> Pen -> Color = clBlue;  //oś OZ
 rel.linia_relatyw( p5, p6, il_podzial);

}
//---------------------------------------------------------------------------
//  Naciśnięto jakiś klawisz. Gdy Escape - koniec
void __fastcall TForm1::FormKeyPress(TObject *Sender, char &Key)
{
 if( Key == VK_ESCAPE)
    Close();
}
//---------------------------------------------------------------------------
//  Ruszono suwak
void __fastcall TForm1::TrackBar1Change(TObject *Sender)
{
 v = (double)TrackBar1 -> Position * 1000.;//uzgodnione z Min, Max suwaka
 PaintBox1 -> Refresh();
}
//---------------------------------------------------------------------------
